> ## Documentation Index
> Fetch the complete documentation index at: https://cognitio-agent.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Start workspace sync

> Start sync loops for workspaces in the current project that have active sessions.



## OpenAPI

````yaml /openapi.json post /sync/start
openapi: 3.1.1
info:
  title: cognitio
  description: cognitio api
  version: 1.0.0
servers: []
security: []
paths:
  /sync/start:
    post:
      summary: Start workspace sync
      description: >-
        Start sync loops for workspaces in the current project that have active
        sessions.
      operationId: sync.start
      parameters:
        - in: query
          name: directory
          schema:
            type: string
        - in: query
          name: workspace
          schema:
            type: string
      responses:
        '200':
          description: Workspace sync started
          content:
            application/json:
              schema:
                type: boolean
      x-codeSamples:
        - lang: js
          source: |-
            import { createCognitioClient } from "@cognitio/sdk

            const client = createCognitioClient()
            await client.sync.start({
              ...
            })

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.